clear functions

net=readNet('stochasticfocusing.net');

Tmax=4;
X1minmax=[0,5];
X2minmax=[0,22];
X3minmax=[0,3];
X4minmax=[880,1080];
nMC=400;

figure(2);clf
[exact,approx,MC]=plotCompare(net,1,3,Tmax,...
    {X4minmax,{{'lna','V'},2,'X4','b-'}},...
    {X4minmax,{'qd',2,'X4','b-'}},...
    {X4minmax,{'zc',1,'X4','k-'},{'zc',2,'X4','b-'}});


figure(3)
subplot(1,2,1)
plot(approx{2}.lna.t,approx{2}.lna.mu(:,4),approx{2}.qd.t,approx{2}.qd.mu(:,4))
legend('E[X4] lna','E[X4] qd','location','best')
subplot(1,2,2)
plot(approx{2}.lna.t,approx{2}.lna.mu(:,14),approx{2}.qd.t,approx{2}.qd.mu(:,14),approx{2}.lna.t,approx{2}.lna.mu(:,4).^2,approx{2}.qd.t,approx{2}.qd.mu(:,4).^2)
legend('E[X4^2] lna','E[X4^2] qd','E[X4]^2 lna','E[X4]^2 qd','location','best')

return

figure(1);clf
[exact,approx,MC]=plotCompare(net,4,6,Tmax,...
    {X1minmax,{'sampleMC','X1','c-'},{'dm',2,'X1','b-'}},...
    {X1minmax,{'zc',1,'X1','k-'},{'zc',2,'X1','b-'}},...
    {X1minmax,{'ld',1,'X1','k-'},{'ld',2,'X1','b-'}},...
    {X1minmax,{'qd',1,'X1','k-'},{'qd',2,'X1','b-'}},...
    {X1minmax,{{'lna','V'},1,'X1','k-'},{{'lna','V'},2,'X1','b-'}},... 
    {X1minmax,'distributionMC',nMC,'X1'},...
    {X2minmax,{'sampleMC','X2','c-'},{'dm',2,'X2','b-'}},...
    {X2minmax,{'zc',1,'X2','k-'},{'zc',2,'X2','b-'}},...
    {X2minmax,{'ld',1,'X2','k-'},{'ld',2,'X2','b-'}},...
    {X2minmax,{'qd',1,'X2','k-'},{'qd',2,'X2','b-'}},...
    {X2minmax,{{'lna','V'},1,'X2','k-'},{{'lna','V'},2,'X2','b-'}},... 
    {X2minmax,'distributionMC',nMC,'X2'},...
    {X3minmax,{'sampleMC','X3','c-'},{'dm',2,'X3','b-'}},...
    {X3minmax,{'zc',1,'X3','k-'},{'zc',2,'X3','b-'}},...
    {X3minmax,{'ld',1,'X3','k-'},{'ld',2,'X3','b-'}},...
    {X3minmax,{'qd',1,'X3','k-'},{'qd',2,'X3','b-'}},...
    {X3minmax,{{'lna','V'},1,'X3','k-'},{{'lna','V'},2,'X3','b-'}},... 
    {X3minmax,'distributionMC',nMC,'X3'},...
    {X4minmax,{'sampleMC','X4','c-'},{'dm',2,'X4','b-'}},...
    {X4minmax,{'zc',1,'X4','k-'},{'zc',2,'X4','b-'}},...
    {X4minmax,{'ld',1,'X4','k-'},{'ld',2,'X4','b-'}},...
    {X4minmax,{'qd',1,'X4','k-'},{'qd',2,'X4','b-'}},...
    {X4minmax,{{'lna','V'},1,'X4','k-'},{{'lna','V'},2,'X4','b-'}},... 
    {X4minmax,'distributionMC',nMC,'X4'});

